Bug 1459769 - [GSS](6.4.z) On Windows, when running standalone/Domain with the JAVA_HOME environment variable set (but pointing to an empty directory), JBoss EAP fails to start and does not give an error message.
[GSS](6.4.z) On Windows, when running standalone/Domain with the JAVA_HOME en...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Scripts and Commands (Show other bugs)
6.4.15
Unspecified Windows
unspecified Severity unspecified
: CR1
: EAP 6.4.17
Assigned To: Durgesh Anaokar
Jiří Bílek
:
Depends On:
Blocks: eap6417-payload
  Show dependency treegraph
 
Reported: 2017-06-08 03:11 EDT by Durgesh Anaokar
Modified: 2017-09-06 09:32 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-06 09:32:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBEAP-11420 Minor Verified [GSS](7.1.0) On Windows, when running standalone/Domain with the JAVA_HOME environment variable set (but pointing to an ... 2017-08-10 04:44 EDT
JBoss Issue Tracker JBEAP-11534 Minor Pull Request Sent [GSS](7.0.z) On Windows, when running standalone/Domain with the JAVA_HOME environment variable set (but pointing to an ... 2017-08-10 04:44 EDT
JBoss Issue Tracker WFLY-8910 Minor Resolved On Windows, when running standalone/Domain with the JAVA_HOME environment variable set (but pointing to an empty directo... 2017-08-10 04:44 EDT

  None (edit)
Description Durgesh Anaokar 2017-06-08 03:11:12 EDT
Description of problem:

On Windows, when running standalone.bat with the JAVA_HOME environment variable set (but pointing to an empty directory), JBoss EAP fails to start and does not give an error message.

Version-Release number of selected component (if applicable):


How reproducible:
every time in windows environment.

Steps to Reproduce:
1. Set the JAVA_HOME to a valid but empty directory on the system 
2. run standalone.bat/domain.bat.

Actual results:
EAP will stop without giving any warning message

Expected results:
A warning about the java.exe should come in logs

Additional info:
Add additional checks in the standalone.conf/domain.bat to verify that %JAVA_HOME%\bin\java exists and warn if it does not.
Comment 4 Jiří Bílek 2017-08-03 11:32:43 EDT
Verified with EAP 6.4.17.CP.CR3
Comment 5 Petr Penicka 2017-09-06 09:32:01 EDT
Released on 2017-09-05 as part of the EAP 6.4.17 release.

Note You need to log in before you can comment on or make changes to this bug.